# Change Record

#### 2023/November/20

CCPayment supported the Solana (Symbol: SOL) of BSC chain.\
token\_id: e5c33690-1395-4c69-a664-2529d75a660e\
coin\_id of Solana (Symbol: SOL) changed to: 31c27e3c-0e6d-4e16-9b5c-857601daa1e8

#### 2023/November/10

CCPayment has successfully integrated and enabled the deposit and withdrawal of USD Coin (USDC) on the Polygon network.\
Circle issued USDC tokens on the Polygon network, and the specific token contract is [0x3c499c542cEF5E3811e1192ce70d8cC03d5c3359](https://polygonscan.com/token/0x3c499c542cef5e3811e1192ce70d8cc03d5c3359). In CCPayment system, the coin ID for this coin is ce387d66-1c3b-4333-8bb7 -7d6ad98ae9bb, and the token ID is c6b7c878-8a01-4f7f-8d2e-99a72787b1ac.\
In addition, we converted the original USDC bridged Polygon USD Coin (PoS) to USDC.e and used it as an independent token on CCPayment. The token address is [0x2791bca1f2de4661ed88a30c99a7a9449aa84174](<https://polygonscan.com/token/0×2791bca1f2de4661ed88a30c99a7a9449aa84174 >). In  CCPayment system, the coin ID of the token is 8f5433e8-7f75-11ee-81b9-0a6f38bb19bf, and the token ID is 8f5433e8-7f75-11ee-81b9-0a6f38bb19bf.\
Please update your business token list in time to support USDC tokens on the Polygon network issued by Circle.

#### 2023/September/08

CCPayment supported BabyDoge KISHU LOVELY. Check for details: [Supported Coin List](https://bit.ly/CCsupportedcoins)

#### 2023/September/06

Newly added error code: 100804 225110\
Click to check for details: <https://doc.ccpayment.com/ccpayment-for-developer/resources-document/error-code>

#### 2023/September/04

Merchant verification feature goes Live, **Dashboard ➡️Merchant Settings ➡️Verification**, Your CCPayment will be available after merchant verification..

#### 2023/August/31

Assets aggregation discount has ended and with effect from 31 August 2023, the withdraw and refund transactions will be charged on the basis of actual aggregation costs.    [Learn more>](https://doc.ccpayment.com/ccpayment-for-merchant/fees)

#### 2023/July/26

1. [Withdrawal API](https://doc.ccpayment.com/ccpayment-for-developer/withdrawal-api-integration) Optimization\
   \- Added new input parameter "merchant\_pays\_fee" in the API\
   \- Added new return value "net\_receivable": actual amount received\
   \- Added new return value "record\_id"&#x20;
2. Newly added interface: [Block Height Information Retrieval API](https://doc.ccpayment.com/ccpayment-for-developer/resources-document/block-height-information-retrieval-api) \
   Merchants use this API to receive the block height to confirm the transaction and the current block height from different networks.

#### 2023/June/01

Two parameters altered in [webhook API deposit](https://doc.ccpayment.com/ccpayment-for-developer/webhook-notification/api-deposit-webhook-notification): \
1\. origin\_price➡product\_price \
2\. origin\_amount➡order\_amount

#### 2023/May/25

Newly added error code: 224106 224107 224109 224087 224110 224041 224111\
Click to check for details: <https://doc.ccpayment.com/ccpayment-for-developer/resources-document/error-code>

#### 2023/May/24

CCPayment supported Swap function. Go to **Dashboard ➡️Balances ➡️Swap.** It's free to swap your coins!

#### 2023/May/23

CCPayment supported Zcash (Symbol: ZEC).

token\_id: 603fbc7e-86b0-4f7b-ab5e-5719383bc6ab&#x20;

coin\_id: 603fbc7e-86b0-4f7b-ab5e-5719383bc6ab

#### 2023/April/28

<details>

<summary>Interface: Supported Token List update</summary>

## Basic Info

Interface status: <mark style="color:green;">Accessible</mark>

Interface URL:&#x20;

<pre class="language-json"><code class="lang-json"><a data-footnote-ref href="#user-content-fn-1">POST</a> https://admin.ccpayment.com/ccpayment/v1/coin/all
</code></pre>

Need authentication

## Request Parameters

### Header Request&#x20;

* <table><thead><tr><th width="163">Name</th><th width="399">Value</th><th width="122" data-type="checkbox">Required</th><th width="92">Type</th><th width="335">Description</th></tr></thead><tbody><tr><td>Appid</td><td>202302010636261620672405236006912</td><td>true</td><td>string</td><td><p></p><p>Partner unique ID, once a merchant has been on-boarded with CCPayment, the merchant will be provided with the credentials with appId and appSecret</p><p></p></td></tr><tr><td>Timestamp</td><td>1677152490</td><td>true</td><td>string</td><td>UTC time with 10 digit to represent time in seconds, expiration period is 2 minutes.</td></tr><tr><td>Sign</td><td>871f0223c66ea72435208d03603a0cb00b90f6ac4a4ba725d00164d967e291f6</td><td>true</td><td>string</td><td>SHA-256(appId + appSecret + timestamp), please refer to Sign demo for Initiate API</td></tr></tbody></table>

## Response&#x20;

### Header Response

* <table><thead><tr><th width="134">Name</th><th width="188">Value</th><th width="118">Required</th><th width="82">Type</th><th width="299">Description</th></tr></thead><tbody><tr><td>Appid</td><td>202302010636261620672405236006912</td><td>Y</td><td>String</td><td>Partner unique ID, once a merchant has been on-boarded with CCPayment, the merchant will be provided with the credentials with appId and appSecret</td></tr><tr><td>Timestamp</td><td>1677152490</td><td>Y</td><td>string</td><td>UTC time with 10 digit to represent time in seconds</td></tr><tr><td>Sign</td><td>871f0223c66ea72435208d03603a0cb00b90f6ac4a4ba725d00164d967e291f6</td><td>Y</td><td>string</td><td>SHA-256(appId + appSecret + timestamp+<mark style="color:red;"><strong>body(json string)</strong></mark>)</td></tr></tbody></table>

### remark:

As a security measure, we will sign the returned data (and according to this only { code: 10000 } should be signed, but it's signing all the returned body.). Additionally, it will return Appid, Sign, Timestamp  in the header of the response.  The signature method SHA-256 (appid+appSecret+Timestamp+body).

Please use the data with caution if the signature verification fails. It indicates that the data has been tampered with.

### <mark style="color:green;">Success (200)</mark>

```json
{
    "code": 10000,
    "msg": "success",
    "data": {
        "list": [
            {
                "symbol": "BTC",
                "crypto": "BTC",
                "name": "Bitcoin",
                "logo": "https://resource.cwallet.com/token/icon/btc.png",
                "min": "0.00008",
                "price": "29196.27",
                "coin_id": "f36ad1cf-222a-4933-9ad0-86df8069f916",
                "status": 1,
                "tokens": [
                    {
                        "token_id": "f36ad1cf-222a-4933-9ad0-86df8069f916",
                        "crypto": "BTC",
                        "logo": "https://resource.cwallet.com/token/icon/btc.png",
                        "name": "Bitcoin",
                        "is_support_memo": false,
                        "network": "Bitcoin",
                        "chain": "BTC",
                        "contract": "BTC",
                        "chain_logo": "https://resource.cwallet.com/token/icon/btc.png",
                        "status": 1
                    }
                ]
            },
           
            {
                "symbol": "ETH",
                "crypto": "ETH",
                "name": "Ethereum",
                "logo": "https://resource.cwallet.com/token/icon/ETH.png",
                "min": "0",
                "price": "1902.84",
                "coin_id": "e8f64d3d-df5b-411d-897f-c6d8d30206b7",
                "status": 1,
                "tokens": [
                    {
                        "token_id": "1e614496-f9ce-4ec7-8e68-563733deacbf",
                        "crypto": "ETH",
                        "logo": "https://resource.cwallet.com/token/icon/ETH.png",
                        "name": "Binance Smart Chain",
                        "is_support_memo": false,
                        "network": "BEP20",
                        "chain": "BSC",
                        "contract": "0x2170ed0880ac9a755fd29b2688956bd959f933f8",
                        "chain_logo": "https://resource.cwallet.com/token/icon/wbnb.png",
                        "status": 1
                    },
                    {
                        "token_id": "8addd19b-37df-4faf-bd74-e61e214b008a",
                        "crypto": "ETH",
                        "logo": "https://resource.cwallet.com/token/icon/ETH.png",
                        "name": "Ethereum",
                        "is_support_memo": false,
                        "network": "ERC20",
                        "chain": "ETH",
                        "contract": "1",
                        "chain_logo": "https://resource.cwallet.com/token/icon/eth.png",
                        "status": 1
                    },
                    {
                        "token_id": "f36770ed-d8fd-4a21-8141-83478fa44e05",
                        "crypto": "ETH",
                        "logo": "https://resource.cwallet.com/token/icon/ETH.png",
                        "name": "Optimism",
                        "is_support_memo": false,
                        "network": "OPTIMISM",
                        "chain": "OPTIMISM",
                        "contract": "10",
                        "chain_logo": "https://resource.cwallet.com/token/op.png",
                        "status": 1
                    }
                ]
            }
        ]
    }
}
```

* <table><thead><tr><th width="174">Name</th><th>Value</th><th width="126" data-type="checkbox">Required</th><th width="103">Type</th><th width="221">Description</th></tr></thead><tbody><tr><td>code</td><td>10000</td><td>true</td><td>Integer</td><td></td></tr><tr><td>msg</td><td>Success</td><td>true</td><td>String</td><td></td></tr><tr><td>data</td><td></td><td>true</td><td>Object</td><td></td></tr><tr><td>data.list</td><td></td><td>true</td><td>Array</td><td>Crypto coin list</td></tr><tr><td>data.list.coin_id</td><td>f36ad1cf-222a-4933-9ad0-86df8069f9163</td><td>true</td><td>String</td><td>Identification of the crypto coin<br>''coin_id can be used to identify which coin is  transferring to Cwallet account''</td></tr><tr><td>data.list.symbol</td><td>ETH</td><td>false</td><td></td><td></td></tr><tr><td>data.list.crypto</td><td>ETH</td><td>true</td><td>String</td><td>Coin symbol</td></tr><tr><td>data.list.name</td><td>Ethereum</td><td>true</td><td>String</td><td>Coin fullname</td></tr><tr><td>data.list.logo</td><td><a href="https://resource.cwallet.com/token/icon/ETH.png
  ">https://resource.cwallet.com/token/icon/ETH.png<br></a></td><td>true</td><td>String</td><td>Coin icon</td></tr><tr><td>data.list.min</td><td>0</td><td>true</td><td>String</td><td>Minimum trading amount</td></tr><tr><td>data.list.price</td><td>1265.81</td><td>true</td><td>String</td><td>Current price (in USD)</td></tr><tr><td>data.list.status</td><td>1</td><td>true</td><td>Int</td><td><p>Status: 1, token can be used for payment, deposit and withdrawal. </p><p>Status: 2, token is under maintenance, the service of transfer and payment is suspended temporarily. </p><p>Status: 3, token is to be delisted, token cannot be used for transfer and payment, merchant can only withdrawn it.</p></td></tr><tr><td>data.list.tokens</td><td></td><td>true</td><td>Array</td><td>The list of token on different networks</td></tr><tr><td>data.list.tokens.token_id</td><td>e8f64d3d-df5b-411d-897f-c6d8d30206b7</td><td>true</td><td>String</td><td>Identification of token</td></tr><tr><td>data.list.tokens.crypto</td><td>ETH</td><td>true</td><td>String</td><td>Symbol of token</td></tr><tr><td>data.list.tokens.logo</td><td><a href="https://resource.cwallet.com/token/icon/ETH.png
  ">https://resource.cwallet.com/token/icon/ETH.png</a></td><td>true</td><td>String</td><td>Token icon</td></tr><tr><td>data.list.tokens.name</td><td>Binance Smart Chain</td><td>true</td><td>String</td><td>Fullname of the chain</td></tr><tr><td>data.list.tokens.is_support_memo</td><td>false</td><td>true</td><td>Boolean</td><td>If the parameter value is true, it means that the token supports filling in memo or Tag</td></tr><tr><td>data.list.tokens.network</td><td>BEP20</td><td>true</td><td>String</td><td>Standard of token contract</td></tr><tr><td>data.list.tokens.chain</td><td>BSC</td><td>true</td><td>String</td><td>Abbreviation of the chain name</td></tr><tr><td>data.list.tokens.contract</td><td>0x2170ed0880ac9a755fd29b2688956bd959f933f8</td><td>true</td><td>String</td><td>The identification of the token on the corresponding blockchain network</td></tr><tr><td>data.list.tokens.chain_logo</td><td><a href="https://resource.cwallet.com/token/op.png">https://resource.cwallet.com/token/op.png</a></td><td>true</td><td>String</td><td>Icon of network</td></tr><tr><td>data.list.tokens.status</td><td>1</td><td>true</td><td>Int</td><td><p>Status: 1, token can be used for payment, deposit and withdrawal. </p><p>Status: 2, token is under maintenance, the service of transfer and payment is suspended temporarily. </p><p>Status: 3, token is to be delisted, token cannot be used for transfer and payment, merchant can only withdrawn it.</p></td></tr></tbody></table>

#### Remark

Usually, users must select a coin and network to allow the merchant's application to determine the token\_id for the checkout.

### <mark style="color:red;">Fail (200)</mark>

```json
{
    "code": 224066,
    "msg": "service err, please try again"
}
```

</details>

[^1]:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ccpayment.com/changes/change-record.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
